import Mock from 'mockjs2';
import { builder } from '../util';

const userTree = () => {
  return builder(
    {
      'deptId': 1042237414280511489,
      'deptName': '天津美腾科技有限公司',
      'pid': null,
      'childIds': null,
      'userInfoList': [
        {
          'id': 1042237477954232321,
          'name': '李太友'
        },
        {
          'id': 1042237483012562946,
          'name': '梁兴国'
        },
        {
          'id': 1042237483155169281,
          'name': '张淑强'
        },
        {
          'id': 1042237489043972097,
          'name': '李云峰'
        }
      ],
      'childDeptTreeResDTOS': [
        {
          'deptId': 1120997051892387842,
          'deptName': 'asca',
          'pid': 1042237414280511489,
          'childIds': [
            1135382201434607618
          ],
          'userInfoList': [
            {
              'id': 1125206425095581697,
              'name': '易烊千玺'
            },
            {
              'id': 1125207839985315841,
              'name': '易烊千玺1'
            },
            {
              'id': 1125216092622368770,
              'name': '易烊千玺2'
            },
            {
              'id': 1129578172473372674,
              'name': '刘薇微'
            },
            {
              'id': 1129579055697326082,
              'name': '许嵩'
            },
            {
              'id': 1129631023690137602,
              'name': '测试王亚杰'
            },
            {
              'id': 1129631445251244033,
              'name': '测试上传'
            },
            {
              'id': 1130676770388787202,
              'name': '测试王丕娥'
            }
          ],
          'childDeptTreeResDTOS': [
            {
              'deptId': 1135382201434607618,
              'deptName': '测试',
              'pid': 1120997051892387842,
              'childIds': [],
              'userInfoList': [
                {
                  'id': 1135436546733740034,
                  'name': '测试'
                }
              ],
              'childDeptTreeResDTOS': []
            }
          ]
        },
        {
          'deptId': 183,
          'deptName': '经营财务部',
          'pid': 1042237414280511489,
          'childIds': [
            1129229428695449602
          ],
          'userInfoList': [
            {
              'id': 1042237480659558401,
              'name': '周浩'
            },
            {
              'id': 1042237483692040193,
              'name': '孔会宁'
            },
            {
              'id': 1135465890684215298,
              'name': '王亚杰12'
            }
          ],
          'childDeptTreeResDTOS': [
            {
              'deptId': 1129229428695449602,
              'deptName': '测试456',
              'pid': 183,
              'childIds': [],
              'userInfoList': [],
              'childDeptTreeResDTOS': []
            }
          ]
        },
        {
          'deptId': 39,
          'deptName': '综合服务部',
          'pid': 1042237414280511489,
          'childIds': [
            1085405868604751873,
            1085717588254621698
          ],
          'userInfoList': [
            {
              'id': 1042237480110104577,
              'name': '郭锐'
            },
            {
              'id': 1042237480391122946,
              'name': '李丽'
            },
            {
              'id': 1042237480529534977,
              'name': '刘薇'
            },
            {
              'id': 1042237483557822465,
              'name': '高歌'
            },
            {
              'id': 1042237495570309122,
              'name': '孙志瑞'
            },
            {
              'id': 1042237503635955713,
              'name': '王元伟'
            },
            {
              'id': 1117717340331462658,
              'name': '谁是谁'
            }
          ],
          'childDeptTreeResDTOS': [
            {
              'deptId': 1085405868604751873,
              'deptName': '121',
              'pid': 39,
              'childIds': [],
              'userInfoList': [],
              'childDeptTreeResDTOS': []
            },
            {
              'deptId': 1085717588254621698,
              'deptName': '测试部12111',
              'pid': 39,
              'childIds': [],
              'userInfoList': [],
              'childDeptTreeResDTOS': []
            }
          ]
        },
        {
          'deptId': 178,
          'deptName': '美腾市场营销事业部1',
          'pid': 1042237414280511489,
          'childIds': [
            221,
            188,
            192
          ],
          'userInfoList': [
            {
              'id': 1042237488628736001,
              'name': '曹振久'
            },
            {
              'id': 1042237503635955713,
              'name': '王元伟'
            }
          ],
          'childDeptTreeResDTOS': [
            {
              'deptId': 221,
              'deptName': '工程设计部',
              'pid': 178,
              'childIds': [],
              'userInfoList': [
                {
                  'id': 1042237482723155970,
                  'name': '吴新财'
                },
                {
                  'id': 1042237489450819585,
                  'name': '黄邦松'
                },
                {
                  'id': 1042237491355033601,
                  'name': '李燕'
                },
                {
                  'id': 1042237491480862721,
                  'name': '陶健'
                },
                {
                  'id': 1042237495704526850,
                  'name': '刘汉刚'
                },
                {
                  'id': 1042237502646099969,
                  'name': '刘雨苗'
                },
                {
                  'id': 1042237502776123394,
                  'name': '臧振田'
                },
                {
                  'id': 1042237502910341122,
                  'name': '侯磊'
                },
                {
                  'id': 1042237508060946434,
                  'name': '张治国'
                },
                {
                  'id': 1049147311966179330,
                  'name': '于理昊'
                },
                {
                  'id': 1054196719049109506,
                  'name': '陈光'
                }
              ],
              'childDeptTreeResDTOS': []
            },
            {
              'deptId': 188,
              'deptName': '市场销售部1',
              'pid': 178,
              'childIds': [],
              'userInfoList': [
                {
                  'id': 1042237481058017281,
                  'name': '施勋春'
                },
                {
                  'id': 1042237481464864770,
                  'name': '熊海兵'
                },
                {
                  'id': 1042237488762953729,
                  'name': '任凤起'
                },
                {
                  'id': 1042237488851034114,
                  'name': '季长顺'
                },
                {
                  'id': 1042237489169801217,
                  'name': '徐克江'
                },
                {
                  'id': 1042237489308213249,
                  'name': '季晓明'
                },
                {
                  'id': 1042237489580843010,
                  'name': '申英杰'
                },
                {
                  'id': 1042237490801385473,
                  'name': '李刚'
                },
                {
                  'id': 1042237490939797505,
                  'name': '甘永刚'
                },
                {
                  'id': 1042237496874737665,
                  'name': '何琦'
                },
                {
                  'id': 1042237502117617665,
                  'name': '梁桂超'
                },
                {
                  'id': 1042237502251835394,
                  'name': '李志强'
                },
                {
                  'id': 1042237502386053121,
                  'name': '刘斌'
                },
                {
                  'id': 1042237502520270850,
                  'name': '辛明'
                },
                {
                  'id': 1042237503765979137,
                  'name': '宋贻峰'
                },
                {
                  'id': 1042237504172826626,
                  'name': '王宇鹏'
                },
                {
                  'id': 1044411965282009090,
                  'name': '刘浩'
                },
                {
                  'id': 1054614277438959618,
                  'name': '马有谷'
                },
                {
                  'id': 1057149031652646914,
                  'name': '程立'
                }
              ],
              'childDeptTreeResDTOS': []
            },
            {
              'deptId': 192,
              'deptName': '营销协调部',
              'pid': 178,
              'childIds': [
                194,
                193
              ],
              'userInfoList': [
                {
                  'id': 1042237491761881090,
                  'name': '徐华民'
                },
                {
                  'id': 1042237494605619201,
                  'name': '林剑玮'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 194,
                  'deptName': '协调组',
                  'pid': 192,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237506001543170,
                      'name': '向佩'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 193,
                  'deptName': '营销组',
                  'pid': 192,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237489715060737,
                      'name': '王玮'
                    },
                    {
                      'id': 1042237495020855297,
                      'name': '赵静'
                    },
                    {
                      'id': 1074952132531044353,
                      'name': '协调111'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                }
              ]
            }
          ]
        },
        {
          'deptId': 197,
          'deptName': '美腾智冠信息事业部',
          'pid': 1042237414280511489,
          'childIds': [
            1133188003801280513,
            35,
            36,
            40,
            79
          ],
          'userInfoList': [
            {
              'id': 1042237477509636097,
              'name': '刘纯'
            },
            {
              'id': 1042237494349766657,
              'name': '任少龙'
            },
            {
              'id': 1042237494739836930,
              'name': '王春蕊'
            },
            {
              'id': 1042237505699553281,
              'name': '李大勤'
            },
            {
              'id': 1130325367975804929,
              'name': '胡歌'
            }
          ],
          'childDeptTreeResDTOS': [
            {
              'deptId': 1133188003801280513,
              'deptName': 'kpi部门',
              'pid': 197,
              'childIds': [
                1135749357036867586,
                1133188166628356097
              ],
              'userInfoList': [
                {
                  'id': 1133196578586046466,
                  'name': 'KPI徐部长'
                },
                {
                  'id': 1133197313797206018,
                  'name': 'KPI李总'
                },
                {
                  'id': 1135468637072531458,
                  'name': '王亚杰123'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 1135749357036867586,
                  'deptName': 'ceshi ',
                  'pid': 1133188003801280513,
                  'childIds': [],
                  'userInfoList': [],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 1133188166628356097,
                  'deptName': 'web组',
                  'pid': 1133188003801280513,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1133189054684147714,
                      'name': 'KPI李孝威'
                    },
                    {
                      'id': 1133197858125590530,
                      'name': 'KPI周子莉'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                }
              ]
            },
            {
              'deptId': 35,
              'deptName': '智能工厂研发部',
              'pid': 197,
              'childIds': [
                67,
                66,
                68,
                76,
                77,
                1058211315795746817
              ],
              'userInfoList': [
                {
                  'id': 1042237479413850114,
                  'name': '赵健军'
                },
                {
                  'id': 1042237479845863426,
                  'name': '宋晨'
                },
                {
                  'id': 1052009796608040962,
                  'name': '徐煜东'
                },
                {
                  'id': 1113272215180791810,
                  'name': 'FBI007'
                },
                {
                  'id': 1127867279511351297,
                  'name': '测试xxx'
                },
                {
                  'id': 1135496592016433153,
                  'name': '王继波345'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 67,
                  'deptName': 'APP组',
                  'pid': 35,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237477358641154,
                      'name': '刘焕彬'
                    },
                    {
                      'id': 1042237479271243778,
                      'name': '赵红莉'
                    },
                    {
                      'id': 1042237479573233665,
                      'name': '刘义岭'
                    },
                    {
                      'id': 1042237493406048257,
                      'name': '梁艳广'
                    },
                    {
                      'id': 1042237494483984385,
                      'name': '赵彬华'
                    },
                    {
                      'id': 1042237504718086145,
                      'name': '靳志成'
                    },
                    {
                      'id': 1042237506811043841,
                      'name': '栾登熙'
                    },
                    {
                      'id': 1042237508329381890,
                      'name': '张志国'
                    },
                    {
                      'id': 1051639928402583554,
                      'name': '张红亮'
                    },
                    {
                      'id': 1052369669912895489,
                      'name': '刘勇'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 66,
                  'deptName': 'web组',
                  'pid': 35,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237477010513921,
                      'name': '孟子文1'
                    },
                    {
                      'id': 1042237477224423425,
                      'name': '王亚杰'
                    },
                    {
                      'id': 1042237478256222209,
                      'name': '王培明'
                    },
                    {
                      'id': 1042237478407217154,
                      'name': '魏鹏鹏'
                    },
                    {
                      'id': 1042237478558212098,
                      'name': '杨梦茹'
                    },
                    {
                      'id': 1042237492328112130,
                      'name': '李孝威'
                    },
                    {
                      'id': 1042237492734959618,
                      'name': '郎雪'
                    },
                    {
                      'id': 1054176358580482049,
                      'name': '周子莉'
                    },
                    {
                      'id': 1074922311792979970,
                      'name': '大兄弟'
                    },
                    {
                      'id': 1074924934080229377,
                      'name': '大兄弟666'
                    },
                    {
                      'id': 1074925351786770433,
                      'name': '大兄弟56'
                    },
                    {
                      'id': 1074925736056320002,
                      'name': '大兄弟11'
                    },
                    {
                      'id': 1074926004965732353,
                      'name': '大兄弟22'
                    },
                    {
                      'id': 1110381303436283906,
                      'name': '周洪亮'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 68,
                  'deptName': '应用一组',
                  'pid': 35,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237505418534913,
                      'name': '孙健'
                    },
                    {
                      'id': 1042237506282561538,
                      'name': '肖学智'
                    },
                    {
                      'id': 1042237507213697025,
                      'name': '李文泽'
                    },
                    {
                      'id': 1042237508597817345,
                      'name': '刘旭东'
                    },
                    {
                      'id': 1042237508723646465,
                      'name': '陈浩然'
                    },
                    {
                      'id': 1042237509663170562,
                      'name': '黄海瑞'
                    },
                    {
                      'id': 1049146661807116290,
                      'name': '马思思'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 76,
                  'deptName': '应用二组',
                  'pid': 35,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237478105227265,
                      'name': '刘丰'
                    },
                    {
                      'id': 1042237478851813378,
                      'name': '周堃'
                    },
                    {
                      'id': 1042237493540265986,
                      'name': '王德晨'
                    },
                    {
                      'id': 1042237506945261570,
                      'name': 'dalkfjdajflajkl'
                    },
                    {
                      'id': 1042237507649904641,
                      'name': '王济波'
                    },
                    {
                      'id': 1065114093893267457,
                      'name': 'hlm'
                    },
                    {
                      'id': 1065119746728706050,
                      'name': 'hlm'
                    },
                    {
                      'id': 1065121098468999170,
                      'name': 'hlm'
                    },
                    {
                      'id': 1065121665291436033,
                      'name': 'hlm'
                    },
                    {
                      'id': 1065124676529078274,
                      'name': 'hlm'
                    },
                    {
                      'id': 1139442477000105985,
                      'name': '任务测试人员1'
                    },
                    {
                      'id': 1139442639491637250,
                      'name': '任务测试人员2'
                    },
                    {
                      'id': 1139442741354504193,
                      'name': '任务测试人员3'
                    },
                    {
                      'id': 1139442826553401346,
                      'name': '任务测试人员4'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 77,
                  'deptName': '测试组',
                  'pid': 35,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237478986031106,
                      'name': '殷立营'
                    },
                    {
                      'id': 1042237485847912449,
                      'name': '孟淑坤'
                    },
                    {
                      'id': 1042237492453941250,
                      'name': '李建平'
                    },
                    {
                      'id': 1042237495289290754,
                      'name': '张超'
                    },
                    {
                      'id': 1042237495838744577,
                      'name': '郑彧'
                    },
                    {
                      'id': 1042237497025732609,
                      'name': '王超'
                    },
                    {
                      'id': 1062274674685386753,
                      'name': '刘帅涛'
                    },
                    {
                      'id': 1062516723565207553,
                      'name': '郑博元'
                    },
                    {
                      'id': 1062906540710977537,
                      'name': '王慧'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 1058211315795746817,
                  'deptName': '运维组啊',
                  'pid': 35,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237508987887618,
                      'name': '郭星'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                }
              ]
            },
            {
              'deptId': 36,
              'deptName': '智能管理研发部',
              'pid': 197,
              'childIds': [
                73,
                80,
                203,
                74,
                200,
                202
              ],
              'userInfoList': [
                {
                  'id': 1042237482869956610,
                  'name': '孙敬哲'
                },
                {
                  'id': 1042237483985641473,
                  'name': '杨俊霞'
                },
                {
                  'id': 1042237495423508482,
                  'name': '徐博'
                },
                {
                  'id': 1117717340331462658,
                  'name': '谁是谁'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 73,
                  'deptName': 'IERP组',
                  'pid': 36,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237492588158978,
                      'name': '李毅'
                    },
                    {
                      'id': 1042237493942919170,
                      'name': '韩旭'
                    },
                    {
                      'id': 1042237494207160321,
                      'name': '谢修磊'
                    },
                    {
                      'id': 1051644604028133378,
                      'name': '师旭辉'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 80,
                  'deptName': '基础服务组',
                  'pid': 36,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237479128637442,
                      'name': '王伟'
                    },
                    {
                      'id': 1042237479703257089,
                      'name': '夏云'
                    },
                    {
                      'id': 1051639696390463489,
                      'name': '郭翔'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 203,
                  'deptName': '数据分析组',
                  'pid': 36,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237501203259394,
                      'name': '张路'
                    },
                    {
                      'id': 1059255152160927746,
                      'name': '李春辉'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 74,
                  'deptName': '智信组',
                  'pid': 36,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237493670289409,
                      'name': '孙硕'
                    },
                    {
                      'id': 1049854141738622977,
                      'name': '孙文静'
                    },
                    {
                      'id': 1049854321196113922,
                      'name': '刘坤忠'
                    },
                    {
                      'id': 1112903418932883458,
                      'name': '测试2'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 200,
                  'deptName': '智能工厂组',
                  'pid': 36,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237477811625985,
                      'name': '沈东海'
                    },
                    {
                      'id': 1042237478705012737,
                      'name': '张涛'
                    },
                    {
                      'id': 1042237480797970434,
                      'name': '雷贺宁'
                    },
                    {
                      'id': 1042237481888489473,
                      'name': '刘胡'
                    },
                    {
                      'id': 1042237482022707202,
                      'name': '史华琴'
                    },
                    {
                      'id': 1042237482156924930,
                      'name': '朱嘉'
                    },
                    {
                      'id': 1042237482295336962,
                      'name': '王杰'
                    },
                    {
                      'id': 1042237482429554690,
                      'name': '张赵选'
                    },
                    {
                      'id': 1042237482572161026,
                      'name': '唐东元'
                    },
                    {
                      'id': 1042237491216621570,
                      'name': '张旭'
                    },
                    {
                      'id': 1042237492990812162,
                      'name': '丁大为'
                    },
                    {
                      'id': 1042237504042803202,
                      'name': '宋国栋'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 202,
                  'deptName': '智邮智文组',
                  'pid': 36,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237494081331201,
                      'name': '李步宁'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                }
              ]
            },
            {
              'deptId': 40,
              'deptName': '系统研发一部',
              'pid': 197,
              'childIds': [
                48,
                49,
                47
              ],
              'userInfoList': [
                {
                  'id': 1042237483847229442,
                  'name': '王家祥'
                },
                {
                  'id': 1042237498250469378,
                  'name': '赵亮'
                },
                {
                  'id': 1062547801449447426,
                  'name': '孙硕1'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 48,
                  'deptName': '图像组',
                  'pid': 40,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237484862251010,
                      'name': '谭琦'
                    },
                    {
                      'id': 1042237485000663041,
                      'name': '胡艳玲'
                    },
                    {
                      'id': 1042237485122297857,
                      'name': '吴昊'
                    },
                    {
                      'id': 1075227670738878465,
                      'name': '协调222'
                    },
                    {
                      'id': 1075241677679960065,
                      'name': '协调333'
                    },
                    {
                      'id': 1075263457761107969,
                      'name': '协调555'
                    },
                    {
                      'id': 1075264470454837249,
                      'name': '协调666'
                    },
                    {
                      'id': 1075947268899565570,
                      'name': '协调777'
                    },
                    {
                      'id': 1075948336299601922,
                      'name': '协调999'
                    },
                    {
                      'id': 1075949663553548289,
                      'name': '协调9'
                    },
                    {
                      'id': 1075949843552104450,
                      'name': '协调1'
                    },
                    {
                      'id': 1075952697763393538,
                      'name': '协调oo'
                    },
                    {
                      'id': 1075960232503353346,
                      'name': '协调q'
                    },
                    {
                      'id': 1075963787142475778,
                      'name': '协调a'
                    },
                    {
                      'id': 1075964960503214082,
                      'name': '协调b'
                    },
                    {
                      'id': 1075991479774588930,
                      'name': '协调c'
                    },
                    {
                      'id': 1138739063354351618,
                      'name': '陈中'
                    },
                    {
                      'id': 1138739589219430402,
                      'name': '陈中'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 49,
                  'deptName': '算法组',
                  'pid': 40,
                  'childIds': [
                    1125309312945606658,
                    1125321733098463234,
                    1125309390036914177,
                    1125309966934069250,
                    1125312975928614913,
                    1125313303575060481,
                    1125313454540644353,
                    1125314143161442305,
                    1125315198293139457,
                    1125272313317335042,
                    1125273206922190850,
                    1125273290053296129,
                    1125276820944232449,
                    1125276688207093761
                  ],
                  'userInfoList': [
                    {
                      'id': 1042237485285875714,
                      'name': '葛小冬'
                    },
                    {
                      'id': 1042237501861765121,
                      'name': '沙惠雨'
                    }
                  ],
                  'childDeptTreeResDTOS': [
                    {
                      'deptId': 1125309312945606658,
                      'deptName': 'rongyunceshi',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125321733098463234,
                      'deptName': 'rongyunceshi11',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125309390036914177,
                      'deptName': 'rongyunceshi2',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125309966934069250,
                      'deptName': 'rongyunceshi3',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125312975928614913,
                      'deptName': 'rongyunceshi5',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125313303575060481,
                      'deptName': 'rongyunceshi6',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125313454540644353,
                      'deptName': 'rongyunceshi7',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125314143161442305,
                      'deptName': 'rongyunceshi8',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125315198293139457,
                      'deptName': 'rongyunceshi9',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125272313317335042,
                      'deptName': '不知道不想要',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125273206922190850,
                      'deptName': '不知道不想要22',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125273290053296129,
                      'deptName': '不知道不想要22333',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125276820944232449,
                      'deptName': '道不想要222333',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 1125276688207093761,
                      'deptName': '道不想要22333',
                      'pid': 49,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    }
                  ]
                },
                {
                  'deptId': 47,
                  'deptName': '软件组',
                  'pid': 40,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237484262465538,
                      'name': '刘静'
                    },
                    {
                      'id': 1042237484723838978,
                      'name': '商希超'
                    },
                    {
                      'id': 1042237499248713730,
                      'name': '孔维娜'
                    },
                    {
                      'id': 1042237499395514369,
                      'name': '王月'
                    },
                    {
                      'id': 1042237499533926402,
                      'name': '徐新娟'
                    },
                    {
                      'id': 1042237501333282818,
                      'name': '潘雪霞'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                }
              ]
            },
            {
              'deptId': 79,
              'deptName': '运营发展部',
              'pid': 197,
              'childIds': [
                201,
                177,
                169,
                170
              ],
              'userInfoList': [
                {
                  'id': 1042237485424287745,
                  'name': '张秀峰'
                },
                {
                  'id': 1042237494878248961,
                  'name': '佟佳明'
                },
                {
                  'id': 1042237504307044354,
                  'name': '刘会文'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 201,
                  'deptName': '协调组',
                  'pid': 79,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237480936382466,
                      'name': '沈洪禹'
                    },
                    {
                      'id': 1042237485982130178,
                      'name': '刘建勇'
                    },
                    {
                      'id': 1089786107090886658,
                      'name': '测试wpm'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 177,
                  'deptName': '斜沟项目部',
                  'pid': 79,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237481330647042,
                      'name': '闫晓凯'
                    },
                    {
                      'id': 1042237490516172802,
                      'name': '赵富文'
                    },
                    {
                      'id': 1042237504990715906,
                      'name': '高怀印'
                    },
                    {
                      'id': 1042237505137516545,
                      'name': '杨小磊'
                    },
                    {
                      'id': 1042237505275928577,
                      'name': '姜长山'
                    },
                    {
                      'id': 1042237509252128769,
                      'name': '白磊'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 169,
                  'deptName': '电气组1',
                  'pid': 79,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237481611665410,
                      'name': '田松'
                    },
                    {
                      'id': 1042237491078209537,
                      'name': '赵岩'
                    },
                    {
                      'id': 1042237504441262082,
                      'name': '李根'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 170,
                  'deptName': '运维组',
                  'pid': 79,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237504852303873,
                      'name': '侯宝勇'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                }
              ]
            }
          ]
        },
        {
          'deptId': 196,
          'deptName': '美腾智能装备事业部11',
          'pid': 1042237414280511489,
          'childIds': [
            1121306211603337218,
            50,
            41,
            204,
            43
          ],
          'userInfoList': [
            {
              'id': 1042237486124736514,
              'name': '曹忠鹏'
            },
            {
              'id': 1044413063384350721,
              'name': '冯化一'
            },
            {
              'id': 1120237396564090882,
              'name': '谁'
            }
          ],
          'childDeptTreeResDTOS': [
            {
              'deptId': 1121306211603337218,
              'deptName': 'reterge',
              'pid': 196,
              'childIds': [
                1121308217967497218
              ],
              'userInfoList': [],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 1121308217967497218,
                  'deptName': 'jfyjtut',
                  'pid': 1121306211603337218,
                  'childIds': [],
                  'userInfoList': [],
                  'childDeptTreeResDTOS': []
                }
              ]
            },
            {
              'deptId': 50,
              'deptName': '合作协调组',
              'pid': 196,
              'childIds': [],
              'userInfoList': [
                {
                  'id': 1042237485562699777,
                  'name': '刘丽婷'
                },
                {
                  'id': 1042237485701111810,
                  'name': '高会颖'
                }
              ],
              'childDeptTreeResDTOS': []
            },
            {
              'deptId': 41,
              'deptName': '机械研发部',
              'pid': 196,
              'childIds': [
                53,
                54
              ],
              'userInfoList': [
                {
                  'id': 1042237486267342850,
                  'name': '尤振松'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 53,
                  'deptName': '机械研发分部',
                  'pid': 41,
                  'childIds': [
                    214,
                    213,
                    215
                  ],
                  'userInfoList': [],
                  'childDeptTreeResDTOS': [
                    {
                      'deptId': 214,
                      'deptName': '机械研发',
                      'pid': 53,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237486565138434,
                          'name': '王君振'
                        },
                        {
                          'id': 1042237486875516930,
                          'name': '杨凯'
                        },
                        {
                          'id': 1042237487085232129,
                          'name': '梁海孝'
                        },
                        {
                          'id': 1042237508195164162,
                          'name': '张清彬'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 213,
                      'deptName': '机械设计',
                      'pid': 53,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237486565138434,
                          'name': '王君振'
                        },
                        {
                          'id': 1042237486720327681,
                          'name': '郑辉'
                        },
                        {
                          'id': 1042237487349473281,
                          'name': '梁清波'
                        },
                        {
                          'id': 1042237497323528194,
                          'name': '齐心'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 215,
                      'deptName': '电气设计',
                      'pid': 53,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    }
                  ]
                },
                {
                  'deptId': 54,
                  'deptName': '机械组装分部',
                  'pid': 41,
                  'childIds': [
                    216,
                    217
                  ],
                  'userInfoList': [
                    {
                      'id': 1042237486267342850,
                      'name': '尤振松'
                    }
                  ],
                  'childDeptTreeResDTOS': [
                    {
                      'deptId': 216,
                      'deptName': '组装车间',
                      'pid': 54,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237487638880257,
                          'name': '王辉'
                        },
                        {
                          'id': 1042237488075087873,
                          'name': '郑晓辉'
                        },
                        {
                          'id': 1042237488205111298,
                          'name': '甄城'
                        },
                        {
                          'id': 1042237488360300546,
                          'name': '乔为山'
                        },
                        {
                          'id': 1042237488494518273,
                          'name': '王慧君'
                        },
                        {
                          'id': 1042237493796118530,
                          'name': '李红利'
                        },
                        {
                          'id': 1042237497705209857,
                          'name': '闫宝'
                        },
                        {
                          'id': 1042237508857864193,
                          'name': '顾建川'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 217,
                      'deptName': '试验车间',
                      'pid': 54,
                      'childIds': [],
                      'userInfoList': [],
                      'childDeptTreeResDTOS': []
                    }
                  ]
                }
              ]
            },
            {
              'deptId': 204,
              'deptName': '系统研发二部',
              'pid': 196,
              'childIds': [
                206,
                205
              ],
              'userInfoList': [
                {
                  'id': 1042237484132442113,
                  'name': '刘云峰'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 206,
                  'deptName': '智能感知',
                  'pid': 204,
                  'childIds': [
                    210,
                    211,
                    212
                  ],
                  'userInfoList': [
                    {
                      'id': 1042237484132442113,
                      'name': '刘云峰'
                    }
                  ],
                  'childDeptTreeResDTOS': [
                    {
                      'deptId': 210,
                      'deptName': '产品组',
                      'pid': 206,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237486422532097,
                          'name': '冯俊'
                        },
                        {
                          'id': 1042237505854742530,
                          'name': '韩加展'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 211,
                      'deptName': '硬件组',
                      'pid': 206,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237484132442113,
                          'name': '刘云峰'
                        },
                        {
                          'id': 1042237487940870146,
                          'name': '王洋'
                        },
                        {
                          'id': 1042237504583868417,
                          'name': '杜玉龙'
                        },
                        {
                          'id': 1042237506148343809,
                          'name': '闫俊刚'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 212,
                      'deptName': '软件组',
                      'pid': 206,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237484413460482,
                          'name': '孔令辉'
                        },
                        {
                          'id': 1042237484572844034,
                          'name': '夏良刚'
                        },
                        {
                          'id': 1042237499810750466,
                          'name': '石浩森'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    }
                  ]
                },
                {
                  'deptId': 205,
                  'deptName': '智能配装',
                  'pid': 204,
                  'childIds': [
                    207,
                    208,
                    209
                  ],
                  'userInfoList': [],
                  'childDeptTreeResDTOS': [
                    {
                      'deptId': 207,
                      'deptName': '产品组',
                      'pid': 205,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237487227838466,
                          'name': '陈建东'
                        },
                        {
                          'id': 1042237487492079618,
                          'name': '金明国'
                        },
                        {
                          'id': 1042237491615080450,
                          'name': '楚遵勇'
                        },
                        {
                          'id': 1042237492185505793,
                          'name': '刘化男'
                        },
                        {
                          'id': 1042237503497543682,
                          'name': '秦野'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 208,
                      'deptName': '硬件组',
                      'pid': 205,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237484132442113,
                          'name': '刘云峰'
                        },
                        {
                          'id': 1042237498388881410,
                          'name': '赵宇恒'
                        },
                        {
                          'id': 1042237498531487746,
                          'name': '张智昊'
                        },
                        {
                          'id': 1042237498833477633,
                          'name': '任永林'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    },
                    {
                      'deptId': 209,
                      'deptName': '软件组',
                      'pid': 205,
                      'childIds': [],
                      'userInfoList': [
                        {
                          'id': 1042237493133418498,
                          'name': '郭玲娜'
                        },
                        {
                          'id': 1042237498984472577,
                          'name': '张冉'
                        },
                        {
                          'id': 1042237499672338433,
                          'name': '王磊'
                        },
                        {
                          'id': 1042237501463306241,
                          'name': '张海运'
                        },
                        {
                          'id': 1054172320711438338,
                          'name': '韩兴伟'
                        }
                      ],
                      'childDeptTreeResDTOS': []
                    }
                  ]
                }
              ]
            },
            {
              'deptId': 43,
              'deptName': '项目服务部',
              'pid': 196,
              'childIds': [
                195,
                220,
                1118772320527065089,
                218,
                219
              ],
              'userInfoList': [
                {
                  'id': 1042237489979301889,
                  'name': '许海峰'
                },
                {
                  'id': 1042237509520564226,
                  'name': '郭喜民'
                }
              ],
              'childDeptTreeResDTOS': [
                {
                  'deptId': 195,
                  'deptName': '兴县分公司',
                  'pid': 43,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237506416779266,
                      'name': '李俊杰'
                    },
                    {
                      'id': 1042237506559385601,
                      'name': '王权'
                    },
                    {
                      'id': 1042237506689409025,
                      'name': '黄克威'
                    },
                    {
                      'id': 1085499367790444545,
                      'name': '韩国国会'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 220,
                  'deptName': '协调组',
                  'pid': 43,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237497852010497,
                      'name': '王玥'
                    },
                    {
                      'id': 1054172002367959041,
                      'name': '梅树丽'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 1118772320527065089,
                  'deptName': '圣诞节',
                  'pid': 43,
                  'childIds': [],
                  'userInfoList': [],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 218,
                  'deptName': '调试组',
                  'pid': 43,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237490113519618,
                      'name': '何靖新'
                    },
                    {
                      'id': 1042237490390343681,
                      'name': '曹言斌'
                    },
                    {
                      'id': 1042237492047093762,
                      'name': '赵宇'
                    },
                    {
                      'id': 1042237497994616834,
                      'name': '于海南'
                    },
                    {
                      'id': 1042237498686676994,
                      'name': '马三峰'
                    },
                    {
                      'id': 1042237507352109057,
                      'name': '周磊'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                },
                {
                  'deptId': 219,
                  'deptName': '项目组',
                  'pid': 43,
                  'childIds': [],
                  'userInfoList': [
                    {
                      'id': 1042237490251931649,
                      'name': '王建锋'
                    },
                    {
                      'id': 1042237490662973441,
                      'name': '王勇'
                    },
                    {
                      'id': 1042237498124640257,
                      'name': '陈足伟'
                    },
                    {
                      'id': 1042237507083673602,
                      'name': '王保'
                    }
                  ],
                  'childDeptTreeResDTOS': []
                }
              ]
            }
          ]
        },
        {
          'deptId': 1125959233826611201,
          'deptName': '这是一个二十个字的部门名称测试还差五个字',
          'pid': 1042237414280511489,
          'childIds': [
            1125959475779231746
          ],
          'userInfoList': [],
          'childDeptTreeResDTOS': [
            {
              'deptId': 1125959475779231746,
              'deptName': 'ec',
              'pid': 1125959233826611201,
              'childIds': [],
              'userInfoList': [],
              'childDeptTreeResDTOS': []
            }
          ]
        },
        {
          'deptId': 184,
          'deptName': '采购品质部',
          'pid': 1042237414280511489,
          'childIds': [],
          'userInfoList': [
            {
              'id': 1042237487789875202,
              'name': '郭张顺'
            },
            {
              'id': 1042237489853472770,
              'name': '靳晓光'
            },
            {
              'id': 1042237503069724674,
              'name': '董维'
            },
            {
              'id': 1042237503220719618,
              'name': '孔祥玉'
            },
            {
              'id': 1042237509122105346,
              'name': '韩雅楠'
            },
            {
              'id': 1051643523441205249,
              'name': '赵琦'
            },
            {
              'id': 1054908644816973825,
              'name': '苏洪雨'
            },
            {
              'id': 1089785412866465794,
              'name': '测试123'
            },
            {
              'id': 1129628924885581826,
              'name': '测试王亚杰'
            },
            {
              'id': 1135479421513129986,
              'name': '56选美'
            },
            {
              'id': 1135481937852260354,
              'name': '56选美1'
            },
            {
              'id': 1135483729189167105,
              'name': '56选美1'
            }
          ],
          'childDeptTreeResDTOS': []
        }
      ]
    }
  );
};

const roleTree = () => {
  return builder([
      {
        'id': '1128488217616879618',
        'name': '拜拜',
        'corpId': '6',
        'roles': [
          {
            'id': '1128488267411656706',
            'name': '部长',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1128488267466182657'
          },
          {
            'id': '1128488322302513154',
            'name': '事业部总经理',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1128488322373816322'
          },
          {
            'id': '1130685864499691521',
            'name': '角色1',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1130685864529051650'
          },
          {
            'id': '1130685903745794049',
            'name': '角色2',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1130685903749988354'
          },
          {
            'id': '1130685935211462657',
            'name': '角色3',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1130685935219851265'
          },
          {
            'id': '1130685961195175937',
            'name': '角色4',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1130685961203564546'
          },
          {
            'id': '1133639571700965377',
            'name': '角色5',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1133639571705159681'
          }
        ]
      },
      {
        'id': '1129624598993682434',
        'name': '测试回归',
        'corpId': '6',
        'roles': []
      },
      {
        'id': '1128488217616879666',
        'name': '默认',
        'corpId': '6',
        'roles': [
          {
            'id': '1122772706182307842',
            'name': '负责人',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1122772706220056577'
          },
          {
            'id': '1122772746460209154',
            'name': '部门负责人',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1122772746502152194'
          },
          {
            'id': '1122772772804632577',
            'name': '主管理员',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1122772772833992706'
          },
          {
            'id': '1122772797135790082',
            'name': '子管理员',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1122772797135790083'
          }
        ]
      },
      {
        'id': '1130743774923698178',
        'name': '角色组',
        'corpId': '6',
        'roles': [
          {
            'id': '1133984556459741186',
            'name': '角色1',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1133984556522655745'
          }
        ]
      },
      {
        'id': '1133554212900167681',
        'name': '功能1',
        'corpId': '6',
        'roles': []
      },
      {
        'id': '1133639603669950465',
        'name': '测试师傅电话多少',
        'corpId': '6',
        'roles': [
          {
            'id': '1133639636142252034',
            'name': '方法为',
            'corpId': 6,
            'creator': null,
            'createAt': null,
            'updator': null,
            'updateAt': null,
            'rgid': '1133639636150640642'
          }
        ]
      }
    ]
  );
};

Mock.mock(/\/userTree/, 'get', userTree);
Mock.mock(/\/roleTree/, 'get', roleTree);

