export const inputConf = {
  // 对应数据库内类型
  fieldNm: '输入框',
  fieldTp: 'input',
  fieldHint: '请输入',
  required: '1',
  fieldValue: '',
  print: '1',
  major: '1'

};
export const linkManConf = {
  // 对应数据库内类型
  fieldNm: '联系人',
  fieldTp: 'linkMan',
  fieldHint: '请输入联系人',
  required: '1',
  fieldValue: '',
  print: '1',
  major: '1'

};
export const contractConf = {
  // 对应数据库内类型
  fieldNm: '合同',
  fieldTp: 'contract',
  fieldHint: '',
  required: '1',
  print: '1',
  major: '1',
  fieldValue: ''
};
export const bouttonConf = {
  // 对应数据库内类型
  fieldNm: '按钮',
  fieldTp: 'button',
  fieldHint: '',
  required: '1',
  print: '1',
  major: '1',
  fieldValue: ''
};
export const uploadConf = {
  // 对应数据库内类型
  fieldNm: '上传',
  fieldTp: 'upload',
  fieldHint: '',
  required: '1',
  print: '1',
  major: '1',
  fieldValue: ''
};

export const NumInputConf = {
  // 对应数据库内类型
  fieldNm: '数字输入框',
  fieldTp: 'input',
  fieldHint: '请输入',
  required: '1',
  fieldValue: '',
  print: '1',
  major: '1',
  type: 'number',
  unit: ''
};

export const radioConf = {
  // 对应数据库内类型
  fieldTp: 'radio',
  // 控件左侧label内容
  fieldNm: '单选框',
  // 绑定的值
  value: '',
  // 选项内数据
  items: [{ 'label_value': '1', 'label_name': '单选框1' }, { 'label_value': '2', 'label_name': '单选框2' }]
};

export const textAreaConf = {
  // 对应数据库内类型
  fieldNm: '多行输入框',
  fieldTp: 'textarea',
  fieldHint: '请输入',
  // 最大长度
  // maxlength: 50,
  fieldValue: '',
  required: '1',
  print: '1',
  major: '1'
};

export const selectConf = {
  // 对应数据库内类型
  fieldNm: '单选框',
  fieldTp: 'select',
  required: '1',
  print: '1',
  major: '1',
  fieldValue: [],
  fieldHint: '请选择',
  items: [{ value: '1', label: '选项内容' }, { value: '2', label: '选项内容' }]
};

export const selectMutipleConf = {
  fieldNm: '多选框',
  fieldTp: 'selectMutiple',
  required: '1',
  print: '1',
  major: '1',
  fieldValue: [],
  fieldHint: '请选择',
  items: [{ value: '1', label: '选项内容' }, { value: '2', label: '选项内容' }]
};

export const dateConf = {
  // 对应数据库内类型
  fieldNm: '日期',
  fieldTp: 'date',
  required: '1',
  print: '1',
  major: '1',
  dateType: 'datetime',
  fieldHint: '选择日期时间',
  fieldValue: ''
};

export const dateRangeConf = {
  // 对应数据库内类型
  fieldNm: '日期区间',
  fieldTp: 'dateRange',
  required: '1',
  dateRangeType: 'datetime',
  startPlaceholder: '开始日期',
  endPlaceholder: '结束日期',
  autoCount: '1',
  print: '1',
  major: '1',
  condition: '1',
  fieldValue: ['', '']
};

export const imageConf = {
  // 对应数据库内类型
  fieldNm: '图片',
  fieldTp: 'image',
  required: '0',
  print: '0',
  isWatermark: '0',
  fieldValue: '',
  major: '1'
};

export const fileConf = {
  // 对应数据库内类型
  fieldNm: '附件',
  fieldTp: 'file',
  required: '0',
  print: '0',
  fieldValue: '',
  major: '1'
};

export const explainTextConf = {
  fieldNm: '注意事项',
  fieldTp: 'explainText',
  explainText: '哈哈',
  linkUrl: 'https://www.baidu.com',
  print: '1',
  major: '1'
};

export const departmentConf = {
  // 对应数据库内类型
  fieldNm: '部门',
  fieldTp: 'department',
  required: '1',
  print: '1',
  fieldHint: '请选择',
  fieldValue: '',
  departmentItems: [],
  isMultiple: '1',
  major: '1'
};

export const showDetailConf = {
  // 对应数据库内类型
  fieldNm: '查看详情',
  fieldTp: 'showDetail',
  showDetailType: 0,
  major: '1'
};

export const DetailConf = {
  // 对应数据库内类型
  fieldNm: '明细',
  fieldTp: 'Detail',
  btnText: '增加明细',
  major: '1'
};

export const equipmentConf = {
  // 对应数据库内类型
  fieldTp: 'equipment',
  fieldNm: '设备',
  required: '1',
  print: '1',
  equipmentRange: '',
  equipmentLocal: '',
  equipmentNum: '',
  equipmentName: '',
  major: '1',
  fieldValue: []
};
