export default {
  name: 'my-linkMan',
  render (h) {
    const data = this.obj
    const inputAttrs = {
      type: data.type,
      placeholder: data.fieldHint,
      required: data.required
    }
    return (
      <el-form-item label={this.obj.fieldNm} required={this.obj.required == 1} style="width:100%;margin-bottom:10px!important">
      <el-input v-model={data.fieldValue} attrs={inputAttrs} vOn:blur={() => {
      console.log('input blur')
    }}></el-input>
    </el-form-item>
  );
  },
  props: {
    obj: {
      type: Object,
      default: {}
    }
  }
}
